Subject: Re: bug#746: Killed when starting modale dialog like pinentry

From: Ralph Ronnquist <[email-masked]>
Date: Tue, 7 Mar 2023 23:31:41 +1100

I studied the Xorg logs and had the following thoughts

both Xorg logs shows grief when a new monitor is connected

nvidia at about 1312258.437 and amd at about 117563.217

nvidia "survives" a long time (20h?), but with repeated hickups

amd doesn't show extended use but rather X goes down within 20 sec

I'm not sure how gpu memory is used or computed but I suppose one
possibility is that it's not enough for the 3840x2400 side monitor
(plus the 1920x1200 LCD)

possibly amd says it has 1Gb memory; nvidia appears to reserve 6GB

----

All that might suggest some underlying hardware issue(s) but evenso it
appears X terminates peacefully without any log line explaining why.

Perhaps a deeper code review is needed to trace what happens when a
functioning GPU "suddenly disappears".

Ralph.